%global pypi_name agate
%global project_owner wireservice
%global github_name agate
%global commit ed9e179a9828f73e786038ca467facbf5c75ae89
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global desc agate is a Python data analysis library that is optimized for humans instead \
of machines. It is an alternative to numpy and pandas that solves real-world \
problems with readable code.\
\
agate was previously known as journalism.


Name:           python-%{pypi_name}
Version:        1.6.0
Release:        2.git%{shortcommit}%{?dist}
Summary:        Data analysis library that is optimized for humans instead of machines

License:        MIT
URL:            https://pypi.python.org/pypi/agate
Source0:        https://github.com/%{project_owner}/%{github_name}/archive/%{commit}/%{github_name}-%{commit}.tar.gz
BuildArch:      noarch

%description
%{desc}


%package -n     python2-%{pypi_name}
BuildRequires:  python2-devel
BuildRequires:  python2-nose >= 1.1.2
BuildRequires:  python2-sphinx >= 1.2.2
BuildRequires:  python2-coverage >= 3.7.1
BuildRequires:  python2-sphinx_rtd_theme >= 0.1.6
BuildRequires:  python2-mock >= 1.3.0
BuildRequires:  python2-lxml >= 3.6.0
BuildRequires:  python2-six >= 1.6.1
BuildRequires:  python2-pytimeparse >= 1.1.5
BuildRequires:  python-parsedatetime >= 2.1
BuildRequires:  python2-babel >= 2.0
BuildRequires:  python-isodate >= 0.5.4
BuildRequires:  python2-slugify >= 1.2.1
BuildRequires:  python2-leather >= 0.3.2
BuildRequires:  python2-unittest2
Requires:       python2-six >= 1.6.1
Requires:       python2-pytimeparse >= 1.1.5
Requires:       python-parsedatetime >= 2.1
Requires:       python2-babel >= 2.0
Requires:       python-isodate >= 0.5.4
Requires:       python2-slugify >= 1.2.1
Requires:       python2-leather >= 0.3.2
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{desc}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-coverage >= 3.7.1
BuildRequires:  python3-mock >= 1.3.0
BuildRequires:  python3-lxml >= 3.6.0
BuildRequires:  python3-six >= 1.6.1
BuildRequires:  python3-pytimeparse >= 1.1.5
BuildRequires:  python3-parsedatetime >= 2.1
BuildRequires:  python3-babel >= 2.0
BuildRequires:  python3-isodate >= 0.5.4
BuildRequires:  python3-slugify >= 1.2.1
BuildRequires:  python3-leather >= 0.3.2
BuildRequires:  python3-unittest2
Requires:       python3-six >= 1.6.1
Requires:       python3-pytimeparse >= 1.1.5
Requires:       python3-parsedatetime >= 2.1
Requires:       python3-babel >= 2.0
Requires:       python3-isodate >= 0.5.4
Requires:       python3-slugify >= 1.2.1
Requires:       python3-leather >= 0.3.2
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}


%package -n    python-%{pypi_name}-doc
Summary:       %{summary}
BuildArch:     noarch

%description -n python-%{pypi_name}-doc
%{desc}

Documentation package.


%prep
%setup -qn %{github_name}-%{commit}
# Remove shebang on non executable scripts
sed -i '1{\@^#!/usr/bin/env python@d}' agate/*.py agate/**/*.py
# In agate/testcase.py the interpretor name starts with a capital letter.
sed -i '1{\@^#!/usr/bin/env Python@d}' agate/testcase.py


%build
%py2_build
%py3_build

# Build documentation
pushd docs
    make html
    rm -f _build/html/.buildinfo
popd


%install
%py3_install
%py2_install


%check
nosetests-%{python2_version} tests -v
nosetests-%{python3_version} tests -v


%files -n python2-%{pypi_name}
%doc README.rst AUTHORS.rst CHANGELOG.rst
%license COPYING
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/%{pypi_name}/


%files -n python3-%{pypi_name}
%doc README.rst AUTHORS.rst CHANGELOG.rst
%license COPYING
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{pypi_name}/


%files -n python-%{pypi_name}-doc
%license COPYING
%doc README.rst AUTHORS.rst CHANGELOG.rst docs/_build/


%changelog
* Mon Aug 21 2017 Julien Enselme <jujens@jujens.eu> - 1.6.0-2.gited9e179
- Add python-unittest2 to BR for tests to pass on koji

* Sun Mar 12 2017 Julien Enselme <jujens@jujens.eu> - 1.6.0-1.gited9e179
- Inital package
